2019-04-22 06:57 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006051Spring engineBuildbotpublic2018-10-26 16:16
Reporterabma 
Assigned Toabma 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target Version105.0Fixed in Version 
Summary0006051: version `CURL_OPENSSL_3' not found (required by ./spring) when running official build on debian 10 / buster
Descriptionwhen running spring on debian 10 / ubuntu 18.04 this error is thrown:

/usr/lib/x86_64-linux-gnu/libcurl.so.4: version `CURL_OPENSSL_3' not found (required by ./spring)

this problem was introduced when switching to the new buildslave(s)
Additional Informationubuntu xenial has some weird custom libcurl: need to update buildbot to something newer / switch to debian.

TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0019395

abma (administrator)

https://springrts.com/phpbb/viewtopic.php?t=36893

~0019396

abma (administrator)

fixed by linking curl (+openssl) static.

~0019397

abma (administrator)

basicly this:

https://github.com/spring/spring-lxc/blob/743144ed51a61e96888552aafbdb894d2fa84552/scripts/cfg/install/make_static_libs.sh#L59

~0019447

abma (administrator)

for the reference, all builds newer than

https://github.com/spring/spring/commit/16c16b16ee56811f6390053372c71e6b3f40894f

should be fixed.
+Notes

-Issue History
Date Modified Username Field Change
2018-10-14 18:40 abma New Issue
2018-10-14 18:43 abma Summary version `CURL_OPENSSL_3' not found (required by ./spring) when running official build on debian/ubuntu => version `CURL_OPENSSL_3' not found (required by ./spring) when running official build on debian 10 / buster
2018-10-14 18:46 abma Note Added: 0019395
2018-10-15 02:47 abma Note Added: 0019396
2018-10-15 02:48 abma Assigned To => abma
2018-10-15 02:48 abma Status new => resolved
2018-10-15 02:48 abma Resolution open => fixed
2018-10-15 02:48 abma Note Added: 0019397
2018-10-26 16:16 abma Note Added: 0019447
+Issue History